org.apache.xerces.impl.dtd.models

## Class CMAny

- java.lang.Object
- - org.apache.xerces.impl.dtd.models.CMNode
  - - org.apache.xerces.impl.dtd.models.CMAny

    public class CMAny
    extends CMNode

Content model any node.

Version:
  $Id: CMAny.java 572057 2007-09-02 18:03:20Z mrglavas $

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

### Constructor Summary

Constructors
Constructor and Description
`CMAny(int type, java.lang.String uri, int position)` Constructs a content model any.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `calcFirstPos(CMStateSet toSet)`
`protected void` `calcLastPos(CMStateSet toSet)`
`boolean` `isNullable()`
`java.lang.String` `toString()`

### Methods inherited from class org.apache.xerces.impl.dtd.models.CMNode

`firstPos, isCompactedForUPA, lastPos, setIsCompactUPAModel, setMaxStates, type`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CMAny

    public CMAny(int type,
                 java.lang.String uri,
                 int position)

Constructs a content model any.

### Method Detail

#### isNullable

    public boolean isNullable()

Specified by:
  `isNullable` in class `CMNode`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### calcFirstPos

    protected void calcFirstPos(CMStateSet toSet)

Specified by:
  `calcFirstPos` in class `CMNode`

#### calcLastPos

    protected void calcLastPos(CMStateSet toSet)

Specified by:
  `calcLastPos` in class `CMNode`